Subject: Re: linux-next: x86 tree build failure

From: "Vegard Nossum" <[email-masked]>
Date: Thu, 17 Jul 2008 11:23:36 +0200

On Thu, Jul 17, 2008 at 4:07 AM, Stephen Rothwell <[email-masked]> wrote:
> Hi all,
>
> Today's linux-next build (x86_64 allmodconfig) failed like this:
>
> arch/x86/kernel/syscall_64.c:27: error: array index in initializer exceeds array bounds
> arch/x86/kernel/syscall_64.c:27: error: (near initialization for 'sys_call_table')
> arch/x86/kernel/syscall_64.c:27: warning: excess elements in array initializer
> arch/x86/kernel/syscall_64.c:27: warning: (near initialization for 'sys_call_table')
>
> Reverting commit aa27f95867447916d97c7aa6e5422ff6518630dd ("x86:
> consolidate header guards") makes it build ok.  I found that hard to
> believe, so I undid the revert and it fails again.

Oh, this is in next already?

The basic problem is that I completely overlooked the fact that some
headers use the guards of _other_ headers in #if-checks. I think we
should drop the consolidations completely until I have fixed the
script to replace the header guard names which are used in other files
as well. I'm sorry :-/

Vegard

-- 
"The animistic metaphor of the bug that maliciously sneaked in while
the programmer was not looking is intellectually dishonest as it
disguises that the error is the programmer's own creation."
	-- E. W. Dijkstra, EWD1036